/*
 * RepeatBoxAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef REPEATBOXACTION_HPP_
#define REPEATBOXACTION_HPP_

#include "Actions/Action.hpp"

class WorldRepeatBoxAction : public Action {
public:
  WorldRepeatBoxAction();
  virtual ~WorldRepeatBoxAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Dialog * createDialog();
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* REPEATBOXACTION_HPP_ */
